Skip to main content
GET
/
public
/
v1
/
document-intelligence
/
document-validation-batches
/
{document_validation_batch_id}
/
document-validations
Get Document Validations in a Batch
curl --request GET \
  --url https://app.silnahealth.com/api/public/v1/document-intelligence/document-validation-batches/{document_validation_batch_id}/document-validations \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "records": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "result": "PASSED",
      "failed_rules": [
        {
          "rule": null,
          "reason": null,
          "result": null,
          "operator": null,
          "child_results": []
        }
      ],
      "passed_rules": [
        {
          "rule": null,
          "reason": null,
          "result": null,
          "operator": null,
          "child_results": []
        }
      ],
      "rule_results": [
        {
          "rule": null,
          "reason": null,
          "result": null,
          "operator": null,
          "child_results": []
        }
      ],
      "batch_id": null
    }
  ],
  "first_id": null,
  "last_id": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

document_validation_batch_id
string
required

Query Parameters

starting_after
string<uuid>
ending_before
string<uuid>
limit
integer

Response

has_more
boolean
required
records
V1DetailedDocumentValidation · object[]
required
first_id
string<uuid> | null
last_id
string<uuid> | null